<?php

class profil {

	var $db_conn;

	function profil($db_conn){
		$this->db_conn = $db_conn;
	}
	
	//liste les groupes
	function liste_profil (){
		$sql = "Select id_groupe,nom_groupe from groupe order by id_groupe ASC";
		$result = getArray($this->db_conn,$sql);
		return $result;
	}
	
	//liste les groupes en fonction du module 
	function liste_profilByModule ($id){
		$sql = "Select groupe.id_groupe,nom_groupe from groupe,accede where groupe.id_groupe = accede.id_groupe and accede.id_module = $id ";
		$result = getArray($this->db_conn,$sql);
		return $result;
	}	
	// stocke les information du groupe
	function getInfoProfil($id)
	{
		$sql = "Select nom_groupe from groupe where id_groupe=".$id;
		$result = getRow($this->db_conn,$sql);		
		return $result;
	}
	
	//insere un nouveau groupe
	function add_profil ($nomgroupe){
		$sql = "INSERT INTO groupe(nom_groupe)VALUES(".$this->db_conn->quoteSmart($nomgroupe).")";
		$result = $this->db_conn->query($sql);
		if (DB::isError($result)) {
    		return null;
    	}
    	$sql = "Select id_groupe from groupe order by id_groupe DESC";
    	$result = getRow($this->db_conn,$sql);
    	
		return $result['id_groupe'];
    	
	}

	//modifier le nom du groupe
	function mod_profil ($id,$nomgroupe){
		$sql = "UPDATE groupe SET nom_groupe = ".$this->db_conn->quoteSmart($nomgroupe)."
								   WHERE id_groupe = ".$id."";
		
		$result = $this->db_conn->query($sql);
		if (DB::isError($result)) {
    		return null;
    	}
	}

	// verifie que le nom de groupe n'existe pas
	function verifProfil($nomgroupe,$idgroupe=0)
	{
		if ($idgroupe != 0)
			$sql = "Select id_groupe from groupe where nom_groupe =".$this->db_conn->quoteSmart($nomgroupe).
			"and id_groupe<>".$idgroupe;
		else
			$sql = "Select id_groupe from groupe where nom_groupe =".$this->db_conn->quoteSmart($nomgroupe);
		$result = getArray($this->db_conn,$sql);
		if (count($result)==1)
			return true;
		else
			return false;
	}

	// Supprime un groupe que si il n'est pas utiliser'
	function verifProfilBeforeDelete($idgroupe)
	{
		$sql = "Select id_groupe from personne where id_groupe =".$this->db_conn->quoteSmart($idgroupe);
		$result = getArray($this->db_conn,$sql);
		if (count($result)==1)
			return true;
		else
			return false;
	}

	//delete un groupe
	function del_profil ($id_groupe){
		
		$sql = "DELETE FROM accede WHERE id_groupe = ".$id_groupe;
		$result = $this->db_conn->query($sql);
		if (DB::isError($result)) {
    		return null;
    	}
		
		$sql = "DELETE FROM groupe WHERE id_groupe = ".$id_groupe;

		$result = $this->db_conn->query($sql);
		if (DB::isError($result)) {
    		return null;
    	}
    	
	}

}
?>
