<?php

	function tableWeb2($title, $content, $class)
	{
		$html = "	<table class=\"$class\">
							<tr>
								<td class=\"topleft\"></td>
								<td class=\"topcenter\">$title</td>
								<td class=\"topright\"></td>
							</tr>
							<tr>
								<td class=\"left\"></td>
								<td class=\"center\">$content</td>
								<td class=\"right\" ></td>
							</tr>
							<tr>
								<td class=\"bottomleft\"></td>
								<td class=\"bottomcenter\"></td>
								<td class=\"bottomright\"></td>
							</tr>
						</table>";
		return $html;
	}
	
	function presentFunction($obj)
	{
		$return="<h3 style=\'background-color:#eeeeff;\'>function $obj[name] (";
		$listParams = split("\|",$obj['param']);
		$isFirst = true;		
		foreach ($listParams as $oneParam)		
		{
			$paramName = split("-",$oneParam);
			if ($isFirst){
				$isFirst = false;
				$return.=trim($paramName[0]);
			}
			else
				$return.=",".trim($paramName[0]);
		}
		$return.=")</h3>";
		foreach ($obj as $key=>$nomChamp)
		if ($key!="name")
		{
			$return.="<table><tr><td valign=\'top\'><b><u>$key:</u></b></td><td><table>";
			$params = split("\|",$obj[$key]);
			foreach ($params as $val)
					$return.="<tr><td>$val</td></tr>";
			$return.="</table></td></tr></table>";
		}
		return $return;
	}
	
$files = array("easyAjax.js","easyTools.js","easyDOM.js");
$key = '';
$tab = array();
$fileContent = array();
foreach($files as $oneFile)
{	
	$lines = file($oneFile);
	foreach ($lines as $line_num => $line) {
		if (ereg('@',$line))
		{
			if (ereg('@name:',$line)) {
   			$name = split('@name:',$line);
   			$key =  trim($name[1]);
   			$tab[$key]['name'] =$key;
   			$tab[$key]['file'] = $oneFile;
   			$fileContent[$oneFile][] = $key;
   			$fileContent['all'][] = $key;
   		} else if (ereg('@([a-z]*):',$line,$attributeName)) {
   			$desc = split('@'.$attributeName[1].':',$line);
   			$temp = str_replace("\'","#",$desc[1]);
   			$temp = str_replace("'","\'",$temp);
   			$tab[$key][$attributeName[1]] = trim($temp);
   		} 		
   	}
	}
}
ksort($tab);
$html = '<html>
				<head>
					<title>easyDoc</title>
					<LINK REL="StyleSheet" HREF="easyDoc.css" TYPE="text/css">
					<link rel="shortcut icon" href="easyIco.png" />';
foreach ($files as $nameFile)				
	$html.='	<script src="'.$nameFile.'" type="text/javascript"></script>';			
$html.='			<SCRIPT language="javascript">
						function replaceSharpByDoubleQuote(text) {
							return text.replace(/#/g, \'"\');
						}
					</SCRIPT>		
				</head>
				<body id="body">';
$tempTable= '<div id="files" style="overflow:auto;">';
$tempTable.= '<div><a href=" " onClick="';
foreach ($fileContent['all'] as $fn)
	$tempTable.= "displayDivSpanElement('".$fn."');";
$tempTable.='return false">All files</a></div>';
foreach ($files as $nameFile)
{
	$tempTable.= "<div><a href=' ' onClick=\"";
	foreach ($fileContent['all'] as $fn)
		$tempTable.= "removeDivSpanElement('".$fn."');";
	foreach ($fileContent[$nameFile] as $fn)		
		$tempTable.= "displayDivSpanElement('".$fn."');";
	$tempTable.=";return false;\">".$nameFile."</a></div>";
}
$tempTable.= '</div>';
$html.=tableWeb2('Files',$tempTable,'files');

$tempTable='<div id="functions" style="overflow:auto;">';
foreach ($tab as $nameFunc=>$val)
{
	$tempTable.= '<div id=\''.$nameFunc.'\'><a href=\' \' onClick="var text=\''.presentFunction($val).'\';text = replaceSharpByDoubleQuote(text);changeElemContent(\'content\',text);return false;">'.$nameFunc.'</a></div>';
}
$tempTable.= '</div>';
$html.=tableWeb2('Functions',$tempTable,'functions');
$tempTable='<div id="content" style="overflow:auto;"><div id="accueil"><h3>Documentation of Easy Javascript Framework</h3><p>Easy Javascript Framework (<b>EJF</b>) is a very simple framework to help people to develop applications using Javascript.</p><p>There are a lot of Javascript Frameworks very performant nonetheless our objective is to provide a documentation of each javascript function like javadoc.</p><p>Easy Javascript Framework is released under the <b>BSD license</b>.</p>';
$html.=tableWeb2('EasyDoc',$tempTable,'content');
$html.='</body>';
echo $html;
?> 