<?php



class weather {



	var $ville;

	var $jours;

	var $url;



	function weather($codeville){

		$this->ville = $codeville; //"FRXX0059" Marseille par defaut

		$this->jours = 5;

		$this->url = "http://xoap.weather.com/weather/local/".$this->ville."?cc=*&unit=s&dayf=".$this->jours;

	}



	// Conversion Fahrenheit->Celsius

	function f2c($t) { 

		return round(($t-32)*5/9); 

	}



	// Lecture d'un fichier XML

	function lit_xml($chaine,$isFile,$item,$champs) {

	   // on lit le fichier ou la chane

	   if($isFile) $chaine = @file_get_contents($chaine);

	   if($chaine) {

	      // on explode sur <item>

	      $tmp = preg_split("/<\/?".$item.">/",$chaine);

	      // pour chaque <item>

	      for($i=1;$i<sizeof($tmp);$i++)

	         // on lit les champs demands <champ>

	         foreach($champs as $champ) {

	            $tmp2 = preg_split("/<\/?".$champ.">/",$tmp[$i]);

	            // on ajoute au tableau

	            $tmp3[$champ][] = trim(@$tmp2[1]);

	         }

	      // et on retourne le tableau

	      return @$tmp3;

	   }

	}

	

	function getWeather()

	{
		
		setlocale (LC_TIME, 'french');

		// Extraction primaire

		$xml = $this->lit_xml($this->url,true,"day d=.*",array("hi","low","part p=\"d\"","part p=\"n\""));



		// Extraction des icones et de l'humidit

		for($i=0;$i<$this->jours;$i++) {

		   $tmp = preg_split("/<\/?icon>/",$xml["part p=\"d\""][$i]);

		   $xml["icond"][$i] = $tmp[1];

		   $tmp = preg_split("/<\/?hmid>/",$xml["part p=\"d\""][$i]);

		   $xml["hmid"][$i] = $tmp[1];

		   $tmp = preg_split("/<\/?icon>/",$xml["part p=\"n\""][$i]);

		   $xml["iconn"][$i] = $tmp[1];

		}

		

		$html = "<table><tr>";
		$width=80;
		 for($i=0;$i<$this->jours;$i++) {
	
		 $html .= "	<td><table>

					<tr>

						<td width=\"$width\" align=\"center\"><strong>".ucfirst(strftime("%A",time()+$i*24*3600))."</strong></td>

					</tr>

					<tr>
						<td width=\"$width\" align=\"center\">".(($xml["low"][$i]=="N/A")?"":$this->f2c($xml["low"][$i])).
						(($xml["hi"][$i]=="N/A")?"":"/".$this->f2c($xml["hi"][$i]))."&deg;C</td>
					</tr>

					<tr>

						

						<td width=\"$width\" align=\"center\"><img src=\"./img/weather/".$xml["icond"][$i].".png\" width=60 height=60></td>

					</tr>

				</table></td>";

		   }

		$html .= "</tr></table>";	

		return $html;

	}	

	

}	

?>