<?php

class module {

	var $db_conn;

	function module($db_conn){
		$this->db_conn = $db_conn;
	}
	
	//liste les modules
	function liste_module (){
		$sql = "Select id_module,nom_module from module";
		$result = getArray($this->db_conn,$sql);
		return $result;
	}

	//insere un nouveau module
	function add_module ($nom){
		$sql = "INSERT INTO module(nom_module)VALUES(".$this->db_conn->quoteSmart($nom).")";
		$result = $this->db_conn->query($sql);
		if (DB::isError($result)) {
    		return null;
    	}
    	$sql = "Select id_module from module order by id_module DESC";
    	$result = getRow($this->db_conn,$sql);
    	
		return $result['id_module'];
    	
	}
	
	//insere une nouvelle personne
	function add_module_profil($idgroupe,$idmodule){
		$sql = "INSERT INTO accede(id_groupe,id_module)VALUES(".$idgroupe.",".$idmodule.")";
		$result = $this->db_conn->query($sql);
		if (DB::isError($result)) {
    		return null;
    	}
	}

	//delete la jointure de module et groupe
	function del_module_profil ($id_groupe){
		$sql = "DELETE FROM accede WHERE id_groupe = ".$id_groupe;
		$result = $this->db_conn->query($sql);
		if (DB::isError($result)) {
    		return null;
    	}
	}
	
		// stocke les information du groupe
	function getInfoModuleProfil($id)
	{
		$sql = "Select nom_groupe,id_module from groupe natural join accede where groupe.id_groupe=".$id;
		$result = getArray($this->db_conn,$sql);		
		return $result;
	}
	
	function getInfoModule($id)
	{
		$sql = "Select nom_module,id_module from module where id_module =".$id;
		$result = getRow($this->db_conn,$sql);		
		return $result;
	}
	
	
		// verifie que le nom de groupe n'existe pas
	function verifModuleProfil($id)
	{
		$sql = "Select nom_groupe,id_module from groupe natural join accede where groupe.id_groupe=".$id;
		$result = getArray($this->db_conn,$sql);
		if (count($result)!=0)
			return true;
		else
			return false;
	}
	
		// verifie que le nom de groupe n'existe pas
	function verifModuleNotUsed($id)
	{
		$sql = "Select nom_groupe,id_module from groupe natural join accede where id_module=".$id;
		$result = getArray($this->db_conn,$sql);
		if (count($result)!=0)
			return true;
		else
			return false;
	}
	
	// verifie que le nom de module n'existe pas
	function verifModule($nom)
	{
		$sql = "Select id_module from module where nom_module =".$this->db_conn->quoteSmart($nom);
		$result = getArray($this->db_conn,$sql);
		if (count($result)==1)
			return true;
		else
			return false;
	}
	
	function getVersion($nom)
	{
		if ($this->verifModule($nom))
		{
			$lines = file("../modules/$nom/index.php");
			foreach ($lines as $line_num => $line) 
				if (ereg('@version@',$line))
				{
		   			$version = split('@version@',$line);
		   			return trim($version[1]);
				}
			return "";
		}
		else
			return "";
	}
	
	function getDescription($nom)
	{
		if ($this->verifModule($nom))
		{
			$lines = file("../modules/$nom/index.php");
			foreach ($lines as $line_num => $line) 
				if (ereg('@description@',$line))
				{
		   			$desc = split('@description@',$line);
		   			return $desc[1];
				}
			return "";
		}
		else
			return "";
	}
	
	function getKeywords($nom)
	{
		if ($this->verifModule($nom))
		{
			$lines = file("../modules/$nom/index.php");
			foreach ($lines as $line_num => $line) 
				if (ereg('@keywords@',$line))
				{
		   			$keyw = split('@keywords@',$line);
		   			return $keyw[1];
				}
			return "";
		}
		else
			return "";
	}
	
		//delete un module
	function del_module ($id_module){
		
		$sql = "DELETE FROM accede WHERE id_module = ".$id_module;
		$result = $this->db_conn->query($sql);
		if (DB::isError($result)) {
    		return null;
    	}
		
		$sql = "DELETE FROM module WHERE id_module = ".$id_module;

		$result = $this->db_conn->query($sql);
		if (DB::isError($result)) {
    		return null;
    	}
    	
	}

}
?>
