<?php

class theme {


	function theme(){
	}
	
	//liste les themes
	function liste_theme (){
		$result = array();
		$rep = "./themes/";
		$dir = opendir($rep);
		while ($f = readdir($dir))
			if ((is_dir($rep.$f))&&($f!=".")&&($f!=".."))
				$result[]['nom_theme'] = $f;	 		
		return $result;
	}

	
	//supprime un theme
	function del_theme ($nom){
		if (file_exists("./themes/$nom/style.css"))
		{
			supprimer_repertoire("./themes/$nom");
		}    	
	}
		
	function getVersion($nom)
	{
		if (file_exists("./themes/$nom/style.css"))
		{
			$lines = file("./themes/$nom/style.css");
			foreach ($lines as $line_num => $line) 
				if (ereg('@version@',$line))
				{
		   			$version = split('@version@',$line);
		   			return trim($version[1]);
				}
			return "";
		}
		else
			return "";
	}
	
	function getDescription($nom)
	{
		if (file_exists("./themes/$nom/style.css"))
		{
			$lines = file("./themes/$nom/style.css");
			foreach ($lines as $line_num => $line) 
				if (ereg('@description@',$line))
				{
		   			$desc = split('@description@',$line);
		   			return $desc[1];
				}
			return "";
		}
		else
			return "";
	}	
	
	function getContenu($nom)
	{
		if (file_exists("./themes/$nom/style.css"))
		{
			$lines = file("./themes/$nom/style.css");
			return $lines;
		}
		else
			return "";
	}
	
	function update($nom,$contenu)
	{
		if (file_exists("./themes/$nom/style.css"))
			unlink("./themes/$nom/style.css");
		// 1 : on ouvre le fichier
		$monfichier = fopen("./themes/$nom/style.css", "w");
		// 2 : ecrit dedans
		$lignes = split("\r\n", $contenu); 
		foreach ($lignes as $oneLigne)
			fputs($monfichier, $oneLigne."\r\n"); // On crit le nouveau nombre de pages vues
		// 3 : le ferme
		fclose($monfichier);
		return 0;
	}

}
?>
